import 'dart:async';

import 'package:flutter/services.dart';

class Mobkit {
  static const MethodChannel _channel =
      const MethodChannel('mobkit');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<String> get deviceModel async {
    final String model = await _channel.invokeMethod('deviceModel');
    return model;
  }

  static Future<String> get getDuid async {
    final String duid = await _channel.invokeMethod('getDuid');
    return duid;
  }

}
